﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Composite
{
    class GroupView: IViewObject
    {
        IList<IViewObject> Items = new List<IViewObject>() { };
        public void Draw()
        {
            Console.WriteLine("Group View");

            foreach (IViewObject item in Items)
                item.Draw();
        }

        public void Add(IViewObject obj)
        {
            if(obj != null && obj != this && !Items.Contains(obj))
                Items.Add(obj);
        }
    }
}
