﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
/// <summary>
/// Петтерн для динамического добавления обязанностей
/// когда расширение путем наследования невозможно
/// </summary>
namespace Decorator
{
    class Program
    {
        static void Main(string[] args)
        {
            IControlDevice simpleRelay = new Relay();
            IControlDevice bigRelay = new RelayLight(new RelayRadio(simpleRelay));
            bigRelay.On();

            Console.ReadKey();
        }
    }
}
