﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Decorator
{
    class RelayLight:RelayDecorator
    {
        public RelayLight(IControlDevice c) : base(c)
        { }

        public override void On()
        {
            Console.WriteLine("RelayLight On");
            base.On();
        }

        public override void Off()
        {
            Console.WriteLine("RelayLight Off");
            base.On();
        }
    }
}
