﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Observe
{
    class FigureNotifier : IObservable
    {
        private List<IObserver> observers = new List<IObserver>();

        public void AddObserver(IObserver o)
        {
            observers.Add(o);
        }

        public void NotifyObservers()
        {
            observers.ForEach(i => i.Update());
        }

        public void RemoveObserver(IObserver o)
        {
            observers.Remove(o);
        }
    }
}
