﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Proxy
{
    class RelayWithControlAccessProxy:IControlDevice
    {
        private Relay relay;
        public RelayWithControlAccessProxy(Relay relay) {
            this.relay = relay;
        }
        public void On()
        {
            if (new Random().Next(2) % 2 == 0)
                relay.On();
            else
                Console.WriteLine("Cant turn On");

        }

        public void Off()
        {
            if (new Random().Next(2) % 2 == 0)
                relay.Off();
            else
                Console.WriteLine("Cant turn Off");
        }
    }
}
