﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
/// <summary>
/// Состояние
/// изменнеие состояния в зависимости от поведения
/// пример, автомат по продаже напитков. Пользователь не выбирает стратегию, она уже вшита и смена состояния идет по заранее определенному плану
/// </summary>
namespace State
{
    class Program
    {
        static void Main(string[] args)
        {
            Context context = new Context(new StateA());
            context.Request(); // Переход в состояние StateB
            context.Request();  // Переход в состояние StateA

            Console.ReadKey();
        }
    }
}
