﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Visitor
{
    class Liquor : ProductBase, IVisitable
    {
        public Liquor(double item) : base(item) { }

        public double Accept(IVisitor visitor)
        {
            return visitor.visit(this);
        }

    }
}
