﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Decorator
{
    abstract class RelayDecorator:IControlDevice
    {
        IControlDevice next;

        public RelayDecorator(IControlDevice c): base()
        {
            if (c != null && c != this)
                next = c;
        }
        public virtual void On()
        {
            next.On();
        }

        public virtual void Off() {
            next.Off();
        }
    }
}
