﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
/// <summary>
/// Посетитель
/// Выполнение рутиных операций над объектом
/// </summary>
namespace Visitor
{
    class Program
    {
        static void Main(string[] args)
        {
            TaxVisitor taxCalc = new TaxVisitor();

            Liquor vodka = new Liquor(11.99);
            Tobacco cigars = new Tobacco(19.99);

            Console.WriteLine(vodka.Accept(taxCalc));
            Console.WriteLine(cigars.Accept(taxCalc));

            Console.ReadKey();
        }
    }
}
