﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Visitor
{
    class TaxVisitor : IVisitor
    {
        public double visit(Liquor item)
        {
            Console.WriteLine("Liquor Item: Price with Tax");
           return item.getPrice() * 0.13;
        }

        public double visit(Tobacco item)
        {
            Console.WriteLine("Tobacco Item: Price with Tax");
            return item.getPrice() * 0.18;
        }
    }
}
