﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Visitor
{
    class Tobacco : ProductBase, IVisitable
    {
        public Tobacco(double item) : base(item) { }

        public double Accept(IVisitor visitor)
        {
            return visitor.visit(this);
        }
    }
}
